/*
 * Copyright 2017 Zhihu Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
apply plugin: 'com.android.library'
apply plugin: 'checkstyle'

android {
    lintOptions {
        abortOnError false
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])

    implementation "androidx.appcompat:appcompat:${appCompat}"
    implementation "androidx.annotation:annotation:${annotation}"
    implementation "androidx.recyclerview:recyclerview:${recyclerView}"

    implementation 'it.sephiroth.android.library.imagezoom:library:1.0.4'

    implementation "com.facebook.fresco:fresco:${fresco}"
    implementation "com.facebook.fresco:animated-gif:${fresco}"

    implementation "com.squareup.picasso:picasso:${picasso}"
}